Bug 1023474 - Review Request: efivar - utility and library for manipulating efi variables
Review Request: efivar - utility and library for manipulating efi variables
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 09:47 EDT by Peter Jones
Modified: 2015-07-27 12:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-27 12:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Jones 2013-10-25 09:47:19 EDT
Spec URL: http://pjones.fedorapeople.org/efivar/efivar.spec
SRPM URL: http://pjones.fedorapeople.org/efivar/efivar-0.7-1.fc20.src.rpm
Description: efivar provides a simple command line interface to the UEFI variable facility, and a corresponding library.
Fedora Account System Username: pjones
Comment 1 Adam Jackson 2013-10-25 09:57:59 EDT
Missing BuildRequires: git

Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.mem0T9
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf efivar-0.7
+ /usr/bin/gzip -dc /builddir/build/SOURCES/0.7.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd efivar-0.7
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ git init
/var/tmp/rpm-tmp.mem0T9: line 39: git: command not found
error: Bad exit status from /var/tmp/rpm-tmp.mem0T9 (%prep)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.mem0T9 (%prep)
Comment 2 Adam Jackson 2013-10-25 10:26:50 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

%doc COPYING

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL", "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in
     /home/ajax/efivar/efivar-0.7-1.fc20.src/efivar/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in efivar-libs
     , efivar-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

Rpmlint
-------
Checking: efivar-0.7-1.fc19.x86_64.rpm
          efivar-libs-0.7-1.fc19.x86_64.rpm
          efivar-devel-0.7-1.fc19.x86_64.rpm
          efivar-0.7-1.fc19.src.rpm
efivar.x86_64: W: invalid-license LGPLv2.1
efivar-libs.x86_64: W: invalid-license LGPLv2.1
efivar-libs.x86_64: W: no-documentation
efivar-devel.x86_64: W: spelling-error Summary(en_US) libefivar -> libertarian
efivar-devel.x86_64: W: spelling-error %description -l en_US libefivar -> libertarian
efivar-devel.x86_64: W: invalid-license LGPLv2.1
efivar.src: W: invalid-license LGPLv2.1
efivar.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)
4 packages and 0 specfiles checked; 0 errors, 8 warnings.

Nothing to see here.

Rpmlint (installed packages)
----------------------------
# rpmlint efivar-libs efivar-devel efivar
efivar-libs.x86_64: W: invalid-license LGPLv2.1
efivar-libs.x86_64: W: no-documentation
efivar-devel.x86_64: W: spelling-error Summary(en_US) libefivar -> libertarian
efivar-devel.x86_64: W: spelling-error %description -l en_US libefivar -> libertarian
efivar-devel.x86_64: W: invalid-license LGPLv2.1
efivar.x86_64: W: invalid-license LGPLv2.1
3 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'

Requires
--------
efivar-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)

efivar-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    efivar-libs
    libefivar.so.0()(64bit)

efivar (rpmlib, GLIBC filtered):
    efivar-libs
    libc.so.6()(64bit)
    libefivar.so.0()(64bit)
    libpopt.so.0()(64bit)
    libpopt.so.0(LIBPOPT_0)(64bit)
    rtld(GNU_HASH)


Provides
--------
efivar-libs:
    efivar-libs
    efivar-libs(x86-64)
    libefivar.so.0()(64bit)

efivar-devel:
    efivar-devel
    efivar-devel(x86-64)
    pkgconfig(efivar)

efivar:
    efivar
    efivar(x86-64)

Source checksums
----------------
https://github.com/vathpela/efivar/archive/0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 4ba5cdfe8a2bfd63e352ab3494ba8d56f0d6255bc64b75dfce0f7d2d11c0ec6c
  CHECKSUM(SHA256) upstream package : 4ba5cdfe8a2bfd63e352ab3494ba8d56f0d6255bc64b75dfce0f7d2d11c0ec6c


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review --rpm-spec -n efivar-0.7-1.fc20.src.rpm
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

-------

Apparently Fedora thinks it's spelled LGPLv2, not LGPLv2.1?

Fix the BuildReqs and the %doc thing and I think this is good to go.
Comment 3 Peter Jones 2013-10-25 10:33:13 EDT
Okay, I've fixed those things.
Comment 4 Adam Jackson 2013-10-25 10:34:58 EDT
Well your spec file still doesn't say BuildRequires: git, but you'll need to fix that quite soon anyway.

r+
Comment 5 Peter Jones 2013-10-25 10:44:27 EDT
Sorry, didn't scp the new .spec . Done now.
Comment 6 Peter Jones 2013-10-25 10:46:07 EDT
New Package SCM Request
=======================
Package Name: efivar
Short Description: efivar provides a utility and library to manipulate efi variables
Owners: pjones
Branches: f20 f21
InitialCC:
Comment 7 Gwyn Ciesla 2013-10-25 10:48:51 EDT
Git done (by process-git-requests).

f21 not yet branched, devel is automatic.
Comment 8 Ralf Corsepius 2013-10-25 11:19:49 EDT
According to the bugzilla time stamps:

Submission: 2013-10-25 09:47:19 EDT 
Git done: 2013-10-25 10:48:51 EDT
=> 61 minutes from submission to "git done"


Mails delivered at my place
Submission Fri, 25 Oct 2013 16:27:01
Git done: Fri, 25 Oct 2013 16:49:07
=> 22 minutes from submission to review.


Sorry, folks but ... this is Redhat Review Ping Pong.
Comment 9 Christopher Meng 2013-11-20 05:37:33 EST
A month passed, I still can't see any changes in SCM.

PING.
Comment 10 Frank Ansari 2013-12-28 14:06:15 EST
I have downloaded the 0.7 sources and make a test on my Feodra 20 system.

The tool gives this error:

efivar: poprReadDefaultConfig failed: No such file or directory

(I guess it should be "poptReadDefaultConfig"?)

I found it starts working as soon as I create an empty file in /etc/popt.d:

touch /etc/popt.d/popt

When I now run "efivar -l" I get the paramter list but printing any parameter fails.

Example:

[root@bat ~]# efivar -p -n 8be4df61-93ca-11d2-aa0d-00e098032b8c-Boot0000
efivar: invalid name "8be4df61-93ca-11d2-aa0d-00e098032b8c-Boot0000"
Comment 11 Peter Jones 2014-06-19 16:44:59 EDT
Package Change Request
======================
Package Name: efivar
New Branches: f19
Owners: pjones

This is needed to backport newer versions of efibootmgr for bugfixes.
Comment 12 Kevin Fenzi 2014-06-19 16:53:02 EDT
Git done (by process-git-requests).
Comment 13 Adam Jackson 2015-07-27 12:50:35 EDT
dmt:~% koji -q latest-pkg f19-updates efivar
efivar-0.13-1.fc19                        f19-updates           pjones

Note You need to log in before you can comment on or make changes to this bug.